// Rock
// Paper
// Scissors

pub fn task_one(input: &str) -> String {
    let mut total_score = 0;

    for line in input.lines() {
        let split = line.split_once(' ');
        if split.is_some() {
            let score = match split.unwrap() {
                ("A", "X") => 4,
                ("A", "Y") => 8,
                ("A", "Z") => 3,
                ("B", "X") => 1,
                ("B", "Y") => 5,
                ("B", "Z") => 9,
                ("C", "X") => 7,
                ("C", "Y") => 2,
                ("C", "Z") => 6,
                _ => panic!("Combination is not valid"),
            };

            total_score += score;
        }
    }

    total_score.to_string()
}

// Loose
// Draw
// Win

pub fn task_two(input: &str) -> String {
    let mut total_score = 0;

    for line in input.lines() {
        let split = line.split_once(' ');
        if split.is_some() {
            let score = match split.unwrap() {
                ("A", "X") => 3,
                ("A", "Y") => 4,
                ("A", "Z") => 8,
                ("B", "X") => 1,
                ("B", "Y") => 5,
                ("B", "Z") => 9,
                ("C", "X") => 2,
                ("C", "Y") => 6,
                ("C", "Z") => 7,
                _ => panic!("Combination is not valid"),
            };

            total_score += score;
        }
    }

    total_score.to_string()
}
